GNU bug report logs - #56005
"write_wait_fd: unimplemented" error from 'guix substitute'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Thiago Jung Bauermann <bauermann@HIDDEN>; merged with #56319, #56320; dated Thu, 16 Jun 2022 02:59:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to '"write_wait_fd: unimplemented" error from 'guix substitute'' from 'during substitution: write_wait_fd: unimplemented' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added indication that bug 56005 blocks57983 Request was from Mathieu Othacehe <mathieu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 4 Aug 2022 16:19:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 04 12:19:49 2022
Received: from localhost ([127.0.0.1]:54481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJdZd-0000a6-3m
	for submit <at> debbugs.gnu.org; Thu, 04 Aug 2022 12:19:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1oJdZa-0000Zk-5h; Thu, 04 Aug 2022 12:19:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44718)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oJdZU-0007Kt-6L; Thu, 04 Aug 2022 12:19:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=DasnAarmzFpQUQWOaEtyrNbh3jpTTVyEnzKQXoS8DB0=; b=dHY2pLK/8ckd8h6bMSBT
 s0vNvxKfDmDX7H/VeZuKdwNuZjpdxvYnXxTqmAogrVpznTnWH7H47dwtsZKX1BCE0o6BtxsBqOC6e
 H9/2pf7Kdg8xQt6GOHtQXGqJDhTpzzWc5L91nVgGvfSRrnDoI5gogMaGsx+9W7srlqaHJ6yh3XSZ2
 T6GREbcVH+Ds2mQQMcQs8cQDe85QTTyThcxXpJFXuZNQ7YGdO15IyyBJII8vvU7VZXK4hHr0xmIts
 AwOvi1LbInZEaz0g/luRUOR+zRbhQQ1j17G/jdoIzEZ/M9ukxjuChznRw4gwvbdYeNBOvN6QXAzsm
 3NGt0uJJIcXtdg==;
Received: from [193.50.111.124] (port=37600 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oJdZT-0006rR-AG; Thu, 04 Aug 2022 12:19:39 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: [bug#56867] [PATCH] download: Do not wrap TLS port on GnuTLS >=
 3.7.7.
References: <20220801090749.11655-1-ludo@HIDDEN> <87pmhgks4j.fsf@HIDDEN>
 <87v8r86p7s.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Septidi 17 Thermidor an 230 de la =?utf-8?Q?R=C3=A9v?=
 =?utf-8?Q?olution=2C?= jour du Lin
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 04 Aug 2022 18:19:37 +0200
In-Reply-To: <87v8r86p7s.fsf@HIDDEN> (Thiago Jung Bauermann's message of
 "Thu, 04 Aug 2022 11:46:47 -0300")
Message-ID: <87iln8kmli.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56005
Cc: 56005 <at> debbugs.gnu.org, 56867 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Thiago Jung Bauermann <bauermann@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> First, I noticed that GnuTLS doesn=E2=80=99t implement =E2=80=98write_wa=
it_fd=E2=80=99, only
>> =E2=80=98read_wait_fd=E2=80=99 (not sure how problematic that is):
>>
>> scheme@(guile-user)> ,use(web client)
>> scheme@(guile-user)> (define p (open-socket-for-uri "https://guix.gnu.or=
g"))
>> scheme@(guile-user)> ((@@ (ice-9 suspendable-ports) wait-for-writable) p)
>> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>> In procedure write_wait_fd: unimplemented
>>
>> Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
>> scheme@(guile-user) [1]> ,q
>> scheme@(guile-user)> ,use(gnutls)
>> scheme@(guile-user)> (gnutls-version)
>> $1 =3D "3.7.7"
>> scheme@(guile-user)> ((@@ (ice-9 suspendable-ports) wait-for-readable) p)
>> $2 =3D 1
>
> This occasionally causes problems when fetching substitutes, as can be
> seen in bug #56005 (during substitution: write_wait_fd: unimplemented).

Oh, I have not seen it but it=E2=80=99s weird: (guix scripts substitute) do=
esn=E2=80=99t
use O_NONBLOCK sockets, so I don=E2=80=99t get how it can hit that.  Needs
investigation=E2=80=A6

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 4 Aug 2022 14:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 04 10:47:04 2022
Received: from localhost ([127.0.0.1]:54307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJc7s-0004HF-2j
	for submit <at> debbugs.gnu.org; Thu, 04 Aug 2022 10:47:04 -0400
Received: from mx.kolabnow.com ([212.103.80.155]:43026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>)
 id 1oJc7n-0004Gg-Dj; Thu, 04 Aug 2022 10:47:03 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id A4EE4113F;
 Thu,  4 Aug 2022 16:46:53 +0200 (CEST)
Authentication-Results: ext-mx-out002.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:in-reply-to:subject:subject:from:from
 :references:received:received:received; s=dkim20160331; t=
 1659624413; x=1661438814; bh=EC4BgR3lwgUGxyeP8hTpn2p3G9+cSMQufcD
 Mf5MNVlg=; b=baw3HWdxPu8J5rqXYEaLiye2QXSCjOXiuCS1qhCyHYGnsm4Z254
 1UWVAPpAS4vYgJrXPRAr4bxZWzo9z8+qtwCEUgwQyKDphgGmgvMwwd7WpDEc5hEQ
 ax1KaLQQNmh9eIuA0HrOaWhV9tCKtkpkMFckbPqZPhWyvdvcGrfmKFfuIyU4FYNm
 KPuDmbOAodMPWgB3Yl9Vg1beZTcz4xCIqnZfllt9TDzpk3SscfvGnfkTCf11zGkK
 mOfb8dDeI4WfaTK16H5MjtGbK5d2WIbfWyzP+8FhJlcsXMqm0MuKORDYmT7e+kKO
 hLOm7/LNYzh8rhocQR0q57SBBAGc01GTBBR1z11Lyp31qgg2htad/Z0jIgSq3ZV1
 HdGtU86hPCfJGA3/iGeDe82K5F+C8XeqIZHOfprCO9P8pyTX5sEwDmmZA1tkwmbc
 J0etjNqdHhLd7Z1sDRftWp6ntE8okU+tHVgcx7FCWFjypqsp9cseKSMNwaOXZFd3
 K/Q6xwGpHeMUWS7SJURLwneIQ6H5YBsTaBXxGdY8OtFJ2Cwxb8Nq0QYAZfiVn/n0
 F1i+Qqjz1lxI4BJqjKlj5ifesOqcAL+DsbpTfDkQBfT1VVRuRqYJ6DfJ09eleYPX
 WOTtiMvcwaQiaNuIPGHMEIOyfFJH5sL+uFlhcDocueAx/FhQsYpchTsc=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id G9b8L7OQkdJv; Thu,  4 Aug 2022 16:46:53 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by mx.kolabnow.com (Postfix) with ESMTPS id 765DD49E;
 Thu,  4 Aug 2022 16:46:52 +0200 (CEST)
Received: from ext-subm002.mykolab.com (unknown [10.9.6.2])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id 31AFD33FF;
 Thu,  4 Aug 2022 16:46:52 +0200 (CEST)
References: <20220801090749.11655-1-ludo@HIDDEN> <87pmhgks4j.fsf@HIDDEN>
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#56867] [PATCH] download: Do not wrap TLS port on GnuTLS >=
 3.7.7.
In-reply-to: <87pmhgks4j.fsf@HIDDEN>
Date: Thu, 04 Aug 2022 11:46:47 -0300
Message-ID: <87v8r86p7s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56005
Cc: 56005 <at> debbugs.gnu.org, 56867 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello Ludo,

I don't have any comment/insight on what you're doing in general, except
about one of your points below:

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> First, I noticed that GnuTLS doesn=E2=80=99t implement =E2=80=98write_wai=
t_fd=E2=80=99, only
> =E2=80=98read_wait_fd=E2=80=99 (not sure how problematic that is):
>
> scheme@(guile-user)> ,use(web client)
> scheme@(guile-user)> (define p (open-socket-for-uri "https://guix.gnu.org=
"))
> scheme@(guile-user)> ((@@ (ice-9 suspendable-ports) wait-for-writable) p)
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> In procedure write_wait_fd: unimplemented
>
> Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
> scheme@(guile-user) [1]> ,q
> scheme@(guile-user)> ,use(gnutls)
> scheme@(guile-user)> (gnutls-version)
> $1 =3D "3.7.7"
> scheme@(guile-user)> ((@@ (ice-9 suspendable-ports) wait-for-readable) p)
> $2 =3D 1

This occasionally causes problems when fetching substitutes, as can be
seen in bug #56005 (during substitution: write_wait_fd: unimplemented).

--=20
Thanks
Thiago




Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 19 Jul 2022 19:50:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 19 15:50:25 2022
Received: from localhost ([127.0.0.1]:55226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oDtEe-0000Fx-VW
	for submit <at> debbugs.gnu.org; Tue, 19 Jul 2022 15:50:25 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:56482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oDtEc-0000Fd-7R
 for 56005 <at> debbugs.gnu.org; Tue, 19 Jul 2022 15:50:23 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by baptiste.telenet-ops.be with bizsmtp
 id x7qL2700920ykKC017qL0B; Tue, 19 Jul 2022 21:50:21 +0200
Message-ID: <0a1b9cd5-8721-0bde-d20b-389db9b1440d@HIDDEN>
Date: Tue, 19 Jul 2022 21:50:19 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.11.0
Subject: Re: bug#56005: during substitution: write_wait_fd: unimplemented
Content-Language: en-US
To: Thiago Jung Bauermann <bauermann@HIDDEN>
References: <87o7yt71sc.fsf@HIDDEN>
 <65897f5d969ca183b9505035bc60b8e047c1e582.camel@HIDDEN>
 <8735f1vi9o.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <8735f1vi9o.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------mGrfjmBM0rYZb2uJ9cA0rz2K"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1658260221; bh=oTc5yP3+98/zYtUjxNNE2aVDI67TtpyIg/kTy9evUBI=;
 h=Date:Subject:To:Cc:References:From:In-Reply-To;
 b=CXxHIEuLOMFpX/KwcTOQQDvhlz1Qjb9O2VRddBPes4eTsrQp6Q2XhzT2GzH5Cwo5S
 Qlfx507E0k2FbNIxP2xcPb7rc6BlaPYfelVZmMh7wifJJXHbT9fd5AmUCsSalrNH13
 lM5YCPpBaZQp7k0utnJmq9kycu4hhWmuOt7+BAMKnU8LxbrNDBk71ed60LunI0qp2G
 asUYU75I8WwqZ0G8YkfapuWwO/NNqZO/x9dcIYq8aQloq9Jm9jcM1TzrUJ2XU6JYnI
 p9iUvGGxxRPjHztSViBVE6u/uE7JN/ybFDhMW5VhnSBZBH6V3+OE/OPKSvEWIv8tXX
 F3kFvAm8V4LlA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 56005
Cc: 56005 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------mGrfjmBM0rYZb2uJ9cA0rz2K
Content-Type: multipart/mixed; boundary="------------XBQxv1Y3ykBMOwOZN2oMH3gV";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Cc: 56005 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
Message-ID: <0a1b9cd5-8721-0bde-d20b-389db9b1440d@HIDDEN>
Subject: Re: bug#56005: during substitution: write_wait_fd: unimplemented
References: <87o7yt71sc.fsf@HIDDEN>
 <65897f5d969ca183b9505035bc60b8e047c1e582.camel@HIDDEN>
 <8735f1vi9o.fsf@HIDDEN>
In-Reply-To: <8735f1vi9o.fsf@HIDDEN>

--------------XBQxv1Y3ykBMOwOZN2oMH3gV
Content-Type: multipart/mixed; boundary="------------u9a764XzEWt7Hhptd1G5Q6pV"

--------------u9a764XzEWt7Hhptd1G5Q6pV
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

cmVvcGVuIDU2MDA1DQp0aGFua3MNCg0KKG5vdCBzdXJlIGlmIHRoaXMgd29ya3MgYmVjYXVz
ZSBJIGhhdmVuJ3Qgc2V0IHVwIHBsYWluLXRleHQgaW5zdGVhZCBvZiANCkhUTUwgeWV0IC4u
LikNCg0KDQpPbiAxNi0wNy0yMDIyIDA1OjM0LCBUaGlhZ28gSnVuZyBCYXVlcm1hbm4gd3Jv
dGU6DQoNCj4gSGVsbG8sDQo+DQo+IFRoaXMgYnVnIHdhcyBjbG9zZWQsIGJ1dCBJIGNvdWxk
bid0IGZpbmQgd2hhdCB3YXMgdGhlIHJlc29sdXRpb24gb2YgdGhlDQo+IHByb2JsZW0uIENv
dWxkIHNvbWVvbmUgcGxlYXNlIGNsYXJpZnksIGZvciBteSBvd24gZWR1Y2F0aW9uIGFuZCBh
bHNvIHNvDQo+IHRoYXQgaXQgZ2V0cyBkb2N1bWVudGVkIGluIHRoZSBidWcgcmVwb3J0Pw0K
DQpObyByZWFzb24gd2FzIGdpdmVuIGF0IGFsbCBmb3IgY2xvc2luZyAobm9ybWFsbHkgaXQg
c2F5cyAic29sdmVkIGluIA0KY29tbWl0IC4uLiIgb3IgImNhbm5vdCByZXByb2R1Y2UiIG9y
IHN1Y2ggLi4uKSAsIHNvIEknZCBhc3N1bWUgdGhhdCB0aGUgDQp3cm9uZyBidWcgbnVtYmVy
IHdhcyB0YXJnZXR0ZWQ/IFRlbnRhdGl2ZWx5IHJlb3BlbmluZyAuLi4NCg0KR3JlZXRpbmdz
LA0KTWF4aW1lLg0KDQo=
--------------u9a764XzEWt7Hhptd1G5Q6pV
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------u9a764XzEWt7Hhptd1G5Q6pV--

--------------XBQxv1Y3ykBMOwOZN2oMH3gV--

--------------mGrfjmBM0rYZb2uJ9cA0rz2K
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYtcK+wUDAAAAAAAKCRBJ4+4iGRcl7sFt
AQCkzqJWYXI8X97l610Ikt1TytlUefX34GLTtxzyeEqsdAEAlHvmBgczZ12bVvte2tHmC3mHD/jB
SVzN0BE7sNMdCgE=
=vDTd
-----END PGP SIGNATURE-----

--------------mGrfjmBM0rYZb2uJ9cA0rz2K--




Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 16 Jul 2022 03:39:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 23:38:59 2022
Received: from localhost ([127.0.0.1]:42650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oCYdv-0005hT-Kp
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2022 23:38:59 -0400
Received: from mx.kolabnow.com ([212.103.80.155]:46580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1oCYdt-0005h9-BQ
 for 56005 <at> debbugs.gnu.org; Fri, 15 Jul 2022 23:38:58 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 39841B2D;
 Sat, 16 Jul 2022 05:38:49 +0200 (CEST)
Authentication-Results: ext-mx-out002.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:mime-version:message-id:in-reply-to
 :date:date:subject:subject:from:from:references:received
 :received:received; s=dkim20160331; t=1657942729; x=1659757130;
 bh=XjuIeq4dahuwl8skoYahg7DTEcAH71Tz3WQHoaFUTfA=; b=yrfEiMpQ05Hu
 +jmdPfEr6vnELYEz3oaWztMH9A/ZucEIIRO4oEKkLpO+mzxn0hBmduAhmibhC86M
 LZWpawWsG2pgDSGxELifYk/Dz85F1hgvMA4sNJBQJt6v4fcwxHp8MddWynq5QX6n
 TBTCQX/PqsefHLqDwdap2FQl9Mu1VJ7LRmiPIXVXQc2XyWg3S3THZrDylmuovaFo
 UmHfEqWnYy5o0YqFqXbfZtZanQl6XTaPLW/H61UYoKVutGDpzB0wTYsHWKoX+9+i
 ui1dBJ2cQwrRc4O30MqLopHiIAWGf03HEbR1y1ptx+6XySH/zcPZ7P+UWP1AQvlW
 fz18nft3DPNwA9irPO2ShKr3YjiU0CwYlh5YNSCf9pqIGEKkPcll4XM8bz1X1syv
 +zkNUqaJ1OSMh0yegv2RBLyKV0lRkPrr11z+kM0y+b5qbd3FeB2YUsYb7Qn84u2c
 ZllsoMc0pI1bqdmUTbE8WKdxbjJkF63dxG9rNEjlEMwh9muAsVJGqY13Sgtw++aE
 g8VMHUFuL6yE2AgVSizS1dt8GVsxlhjXzDg+Wq1+m3vKZ1GRACSQASIWbCwIB0Dw
 moWjos7lpnGbdxlkYIsz+FxR33ee2nxAKyKD72jdC81xymgU9tY8pOU0sLHcqRiD
 LfJJaNPASXnV+E2Fn5qSh1agmw8WRXM=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Y6zh9cZ6AK3h; Sat, 16 Jul 2022 05:38:49 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by mx.kolabnow.com (Postfix) with ESMTPS id 437FC5BA;
 Sat, 16 Jul 2022 05:38:48 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id E014113BC1;
 Sat, 16 Jul 2022 05:38:47 +0200 (CEST)
References: <87o7yt71sc.fsf@HIDDEN>
 <65897f5d969ca183b9505035bc60b8e047c1e582.camel@HIDDEN>
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#56005: during substitution: write_wait_fd: unimplemented
Date: Sat, 16 Jul 2022 00:34:56 -0300
In-reply-to: <65897f5d969ca183b9505035bc60b8e047c1e582.camel@HIDDEN>
Message-ID: <8735f1vi9o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56005
Cc: 56005 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello,

This bug was closed, but I couldn't find what was the resolution of the
problem. Could someone please clarify, for my own education and also so
that it gets documented in the bug report?

-- 
Thanks
Thiago




Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.
bug closed, send any further explanations to 56319 <at> debbugs.gnu.org and Jacob Hrbek <kreyren@HIDDEN> Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 56005 56319 56320. Request was from Maxime Devos <maxime.devos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 30 Jun 2022 11:56:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 07:56:39 2022
Received: from localhost ([127.0.0.1]:33251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6sml-0000AL-7l
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 07:56:39 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:53856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o6smj-0000A2-Nn
 for 56005 <at> debbugs.gnu.org; Thu, 30 Jun 2022 07:56:38 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by laurent.telenet-ops.be with bizsmtp
 id pPwc270024UW6Th01PwcfW; Thu, 30 Jun 2022 13:56:36 +0200
Message-ID: <abbc2ba8624c9302aeff78a44e29d836cd29978a.camel@HIDDEN>
Subject: Re: during substitution: write_wait_fd: unimplemented
From: Maxime Devos <maximedevos@HIDDEN>
To: 56005 <at> debbugs.gnu.org
Date: Thu, 30 Jun 2022 13:56:35 +0200
In-Reply-To: <97dc0c596de2b8463436cc9acb33daffe971ea7f.camel@HIDDEN>
References: <65897f5d969ca183b9505035bc60b8e047c1e582.camel@HIDDEN>
 <97dc0c596de2b8463436cc9acb33daffe971ea7f.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-TGbdePUi0BAMR4ySRz0v"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1656590196; bh=b8HfYZg/Ljl27Xbme/adGksBBymeTbhUn4gw731yZgY=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=gi/dRuLWW9pcAffrwRcxiTxSErqgTS4oDsnwc92GceCScdbtSjG1q9wFHrSZTvYNS
 MAcZHBe4eCCtfoty7DGCOiJmhp77AIa2vKu5Ka3oyxh+Xs9xiw8gAQrKrZECYqS9q0
 OcufcWJYt6dFxg3oyu9DPQlXRD51sUPRXKoQLPVehbNJf9TxvGO23evqUf2Te4wrAS
 YPBzPeG9h/5c3HAC7rni/2Rymje+WJL/bULmUNKhObrQu6Z0IMgPkPi8go+y/GZEVb
 LuXTwKi4uEMZM1YhWhTh1+7s5o9LgmPhJQXqtDZkRTtAKxy5QDZ553Bx/u9Un+gEIV
 lLYrAuZwJZXnQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56005
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-TGbdePUi0BAMR4ySRz0v
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Maxime Devos schreef op do 30-06-2022 om 13:55 [+0200]:
>=20
> the backtrace was truncated, is that 'catch' was used instead of
> 'with-exception-handler' + #:unwind? #true

Correction: #:unwind? #false.

--=-TGbdePUi0BAMR4ySRz0v
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYr2PcxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7izwAP0Q6mmis4vEoumi2izARzPs/0dz
2dTmznagwXURw5+dnAD+Itecvcabe13XuMeZ41b9JbrFTV5BFc47CGEWR3iedws=
=si/k
-----END PGP SIGNATURE-----

--=-TGbdePUi0BAMR4ySRz0v--





Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 30 Jun 2022 11:55:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 07:55:54 2022
Received: from localhost ([127.0.0.1]:33246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6sm1-00008j-T9
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 07:55:54 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:39324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o6slz-00008b-Rh
 for 56005 <at> debbugs.gnu.org; Thu, 30 Jun 2022 07:55:52 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by albert.telenet-ops.be with bizsmtp
 id pPvq2700K4UW6Th06PvqWR; Thu, 30 Jun 2022 13:55:50 +0200
Message-ID: <97dc0c596de2b8463436cc9acb33daffe971ea7f.camel@HIDDEN>
Subject: Re: during substitution: write_wait_fd: unimplemented
From: Maxime Devos <maximedevos@HIDDEN>
To: 56005 <at> debbugs.gnu.org
Date: Thu, 30 Jun 2022 13:55:50 +0200
In-Reply-To: <65897f5d969ca183b9505035bc60b8e047c1e582.camel@HIDDEN>
References: <65897f5d969ca183b9505035bc60b8e047c1e582.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-191QoWy6l7Pzg2kPE3OP"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1656590150; bh=8uISEn1ckfz+j9UvKeShdVcnAdY8iuKsIFjZ2NTKPwk=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=Nzg/h5nwIlY2ZAP5Sazy5SjC0UwYjYpD5kuJhmIz57XO4TJ+aJhYMObDgK+KiuDaq
 ulUULVqZG/18WwOBz+jrX3ZuDHymucNhvG4FORnsw0wA3OHyTY9nBeqZjmJ5rXNDEJ
 UFVyn+vQs3C9m7F4dMcQqCuwhbAYaF/kEY2IL3Bn8Dig+ehOWf3ILDeBk0gNg303F1
 aW8QaPVUJ4xsg5IE3HKynX/kBAzI6sDjBqVv8OBEDf3PojO+xXN75casL714J4nyx0
 CHTaXkL0oKk4B3j+l8sWd3Idl+zAGIjZ/f8j+FidtFoAFTcRG8aVNa6wK4f1iYihSm
 quNeRkJ9U2lmA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56005
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-191QoWy6l7Pzg2kPE3OP
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Maxime Devos schreef op do 30-06-2022 om 13:51 [+0200]:
> > substitute:    348:26  8 (process-query #<output: file 4> _ #:cache
> urls _ #:acl _)
> > substitute: In guix/substitutes.scm:
> > substitute:    365:27  7 (lookup-narinfos/diverse _ _ #<procedure
> 7f22cf4534a0 =E2=80=A6> =E2=80=A6)
> > substitute:    322:31  6 (lookup-narinfos "https://ci.guix.gnu.org"
> > _
> # _ # _)
> > substitute:    245:26  5 (fetch-narinfos _ _ #:open-connection _ #

This is at  the following ...

substitute:    348:26  8 (process-query #<output: file 4> _ #:cache-
urls _ #:acl _)
substitute: In guix/substitutes.scm:
substitute:    365:27  7 (lookup-narinfos/diverse _ _ #<procedure
7f22cf4534a0 =E2=80=A6> =E2=80=A6)
substitute:    322:31  6 (lookup-narinfos "https://ci.guix.gnu.org" _ #
_ # _)
substitute:    245:26  5 (fetch-narinfos _ _ #:open-connection _ # _)

line.  Looks like the error wasn't actually handled.  The reason that
the backtrace was truncated, is that 'catch' was used instead of
'with-exception-handler' + #:unwind? #true.  So to investigate the
error, it might be good to adjust 'call-with-connection-error-handling'
first.

Greetings,
Maxime.

--=-191QoWy6l7Pzg2kPE3OP
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYr2PRhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7pFWAP99W2HrasHQLq1TNyEyRKozdZDA
M2+1nIAoH3okKAq0sAEAsQWwEzvQMk1I56HmkfSozxceQwNF0L4801hLZMT50w4=
=aUtt
-----END PGP SIGNATURE-----

--=-191QoWy6l7Pzg2kPE3OP--





Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 30 Jun 2022 11:52:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 07:52:05 2022
Received: from localhost ([127.0.0.1]:33219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6siI-0008TS-Uh
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 07:52:04 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:60902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o6siE-0008Sk-9K
 for 56005 <at> debbugs.gnu.org; Thu, 30 Jun 2022 07:52:01 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by albert.telenet-ops.be with bizsmtp
 id pPrw2700S4UW6Th06Prw6F; Thu, 30 Jun 2022 13:51:57 +0200
Message-ID: <65897f5d969ca183b9505035bc60b8e047c1e582.camel@HIDDEN>
Subject: Re: during substitution: write_wait_fd: unimplemented
From: Maxime Devos <maximedevos@HIDDEN>
To: 56005 <at> debbugs.gnu.org
Date: Thu, 30 Jun 2022 13:51:56 +0200
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-boTMl/Zjh91Delf/w1gt"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1656589917; bh=exaNTd219icCjgENlum9T5d+k9zjhJetF+NmeRHyre0=;
 h=Subject:From:To:Date;
 b=OCfCcMHRNbIMGGCduZC1uRl93f5Rqa8U2uO8hl556ojDwnTyWaQFgfUe4ODSblkqd
 lb3EbuW3lISebiA1bdyqsjGsYhMHAbyajMW1lTCMW/2BIHoxk3UwcijvOp8TPrMzxI
 i3ao5dQJ3Wf7F6RrxaZmIM3EG62RKvQ80+DKChp296nqlKt3MuDPjpq0TZ497Ogq0/
 DHqsdeHLbu1A6XlZk+Pgj6TCtKzN8cCBHbH91mZHg/NzCYeMVUK3kDM7ZQ6pQmt7VK
 5M7mVNpEZkMeCAwQ7io2qRY/KyKaI5RUGFGZktugXJyxSQnTU+M/JLuUH2GMZ1jKBl
 VFFdUIJCyBwvw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56005
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-boTMl/Zjh91Delf/w1gt
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

> substitute:    348:26  8 (process-query #<output: file 4> _ #:cache
urls _ #:acl _)
> substitute: In guix/substitutes.scm:
> substitute:    365:27  7 (lookup-narinfos/diverse _ _ #<procedure
7f22cf4534a0 =E2=80=A6> =E2=80=A6)
> substitute:    322:31  6 (lookup-narinfos "https://ci.guix.gnu.org" _
# _ # _)
> substitute:    245:26  5 (fetch-narinfos _ _ #:open-connection _ # _)

For extra debugging information, you could try adding "COLUMNS=3D999999" to
the environment variables with which the guix daemon is started (where
exactly, depends on the init system).

Greetings,
Maxime.

--=-boTMl/Zjh91Delf/w1gt
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYr2OXBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7lFqAP9sgj773Xq4KDhvl/nwlEOGLMXE
JaKLW/xGYZy+LBarFgD+K/5Zr0R/pIuoQtToGYV/l8INVi5yn+IzE8zM7as2nQU=
=V1zU
-----END PGP SIGNATURE-----

--=-boTMl/Zjh91Delf/w1gt--





Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 30 Jun 2022 11:49:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 07:49:17 2022
Received: from localhost ([127.0.0.1]:33188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6sfd-0008Nj-Fh
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 07:49:17 -0400
Received: from mail-4018.proton.ch ([185.70.40.18]:23869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <attila@HIDDEN>) id 1o6sfZ-0008NR-Qn
 for 56005 <at> debbugs.gnu.org; Thu, 30 Jun 2022 07:49:16 -0400
Date: Thu, 30 Jun 2022 11:48:56 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lendvai.name;
 s=protonmail; t=1656589746; x=1656848946;
 bh=b63slFz4xDBNv1dJu/m9opfP9lB1o6L/8QHoZknwL8g=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=df7U1Yq2+5u6AeA9J9vr/0Cre9uT4Zttbt0wsEvqlwHx3Rz+9ojFTTdcrLEnkbHIL
 Lx5JHErtWDH+1oHHaNLEOQP4JTmFjzuOqC5kwmDQGk0sSB9YsV9IjpfDYlkhZ6+akM
 Y1ozFkMeqeNrSFNEDKvKJgx7sMUiO3hGHc44PljJeKFWdpTFRAVHtY80aLRTCoKM+g
 OrpjPujUyv/zb5yDkZQxKTWpXReV+cUc9H19bNF2YzHjuV7D1JzJ1vzb/LFTXKGVxl
 ZXL1WI9RkEdzwmXEtGGSQmcgHJEqjNlku/Gz5VBt0F/OiiGibEytXbp+vJ1sD+pTRU
 n2OtlqJUde7ww==
To: "56005 <at> debbugs.gnu.org" <56005 <at> debbugs.gnu.org>
From: Attila Lendvai <attila@HIDDEN>
Subject: In procedure write_wait_fd: unimplemented
Message-ID: <RVsXkQfVKVzXzCTwWdhqGEyZLP7ctm2Gn4Dd9UPvZxSrOequIWmWFDbUPB2pV_1KsUlvYH1Y5_iBfp_cLX35HdpdcJPPfPw9BD4Zgpk_euM=@lendvai.name>
Feedback-ID: 28384833:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56005
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Attila Lendvai <attila@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

i'm also seeing this every once in a while.

some speculation: my router has QoS set up that limits the upstream, so tha=
t i avoid triggering my ISP's rate limiter, because it sends ping into the =
ballpark of seconds.

maybe because of this config i'm seeing this more regularly than others?

- attila





Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.
Changed bug title to 'during substitution: write_wait_fd: unimplemented' from 'exception while downloading substitutes' Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56005 <at> debbugs.gnu.org:


Received: (at 56005) by debbugs.gnu.org; 16 Jun 2022 07:58:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 03:58:35 2022
Received: from localhost ([127.0.0.1]:40663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1kOh-0004Ch-49
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 03:58:35 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:50264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o1kOd-0004CS-6F
 for 56005 <at> debbugs.gnu.org; Thu, 16 Jun 2022 03:58:34 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id jjyV270064UW6Th01jyVdw; Thu, 16 Jun 2022 09:58:29 +0200
Message-ID: <31d325076ae0c552cc04a010956faed27dc35d2c.camel@HIDDEN>
Subject: Re: bug#56005: "write_wait_fd: unimplemented" during downloading
 substitutes
From: Maxime Devos <maximedevos@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>, 56005 <at> debbugs.gnu.org
Date: Thu, 16 Jun 2022 09:58:24 +0200
In-Reply-To: <87o7yt71sc.fsf@HIDDEN>
References: <87o7yt71sc.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-QCPJXp+OgfQ0rZVv9avD"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1655366309; bh=cU6+98RqCcXgUAgs9/9VwLl7Uph6pk00UTq3fhZ4WSw=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=KwKz6KAQcIzrGnWapzvO9DNxkGrWSYsywTQkt7yjz4VRSM6VGA5xxf47oNwyFRhiQ
 2D9RyrFWOscfTqS7S0cUA/KWuPtvMrhfjbEEzHV3PrFzzis5sVSYbcl9GdbxBUE7mN
 woyQpqeGGr5LTbATz8sLxZCWGhGsGzzFNDuvsvN2zDIeau4INvHWqTbx6/ko+1M5dc
 GmgQHuIFx8+H/qew8MA57HWfpvVB/r8oR9V/iJa+IC5qSFBBQg2Od/w4lzMxSZJWX9
 UUyA2CL5vsOk+KE5mg4kIenPPpBAb6N1s/8aSv9SJy7yTTNJ9dn5lTZ5yR9rmEdA7b
 NTJrslzynOpLg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56005
Cc: control <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-QCPJXp+OgfQ0rZVv9avD
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

retitle 56006 "write_wait_fd: unimplemented" during downloading substitutes
thanks

Thiago Jung Bauermann via Bug reports for GNU Guix schreef op wo 15-06-
2022 om 23:40 [-0300]:
> I had a quick look at =E2=80=98fetch-narinfos=E2=80=99 but I couldn't fig=
ure out what
> could be calling into this unimplemented function =E2=80=98write_wait_fd=
=E2=80=99=E2=80=A6

Untested hypothesis: maybe writing to the TLS-wrapped port constructed
in (guix build download) blocked, so Guile's port code ran
'write_wait_fd', which was not set for the TLS port (in the GnuTLS
library)?  Alternatively: maybe 'make-custom-binary-input/output-port'
in (guix build download) was used incorrectly?

Greetings,
Maxime.

--=-QCPJXp+OgfQ0rZVv9avD
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYqrioBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7ub3AQCXLxSVhvcA036bcxhkQhn+Ebhd
EYRLQL+qhR7cauDhswD/VSD62gJ43EZhdv/JEHWEa23cpanMaP10G62L8zTSFgk=
=nKHx
-----END PGP SIGNATURE-----

--=-QCPJXp+OgfQ0rZVv9avD--





Information forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jun 2022 02:58:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 22:58:15 2022
Received: from localhost ([127.0.0.1]:40243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1fi3-0006Q5-Br
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 22:58:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:54966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1o1fi1-0006Pv-KI
 for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 22:58:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35314)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1o1fi1-0001XY-BM
 for bug-guix@HIDDEN; Wed, 15 Jun 2022 22:58:13 -0400
Received: from mx.kolabnow.com ([212.103.80.154]:44744)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1o1fhy-0002r4-Dw
 for bug-guix@HIDDEN; Wed, 15 Jun 2022 22:58:12 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id A07FDE74
 for <bug-guix@HIDDEN>; Thu, 16 Jun 2022 04:58:05 +0200 (CEST)
Authentication-Results: ext-mx-out002.mykolab.com (amavisd-new);
 dkim=pass (4096-bit key) reason="pass (just generated, assumed good)"
 header.d=kolabnow.com
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1655348285; x=1657162686;
 bh=aCGVYDzQtvgs3RHAhs7l43MLM4rfrEB2R+LVcWXNVXY=; b=wcFLUAJ3155n
 mRka/i0fTn6ULis6tqmK6SLHM1BW15cNqY+nzKnPjAUk6Da3lfBBPCUpnlaup6Tr
 EQ+bX9XknFzAaQETWHHV8+uJoBJZxeBFpjpO4iE8wF6tZtKTLYaUq2azHXvfMS/F
 OSqOyflBkQWG15KtkVeCVO7473Q1V+zgVlMUBII1/ZdT0jKlf7N0swaXPbXVtx7N
 iScQxcOYumAROtRS16Op6c2tYhC63IoS2PE2excAgskW99yj2hxrD28W4vb98oAT
 CXD1Jp9fhdMP6JiEykley4MCGswdQOgTHolQuRCmk0ffZNcPSGXZe88SaqJN7unU
 XLSJqdPJ9I2ocGdJN9M4RHi5uLTZKHKnSY8JKuPKuao/qak3XdivXGU1Npin7/hd
 xwHhxnN/J0vUUzzRf92gvFjig/sBvXEgmeZWRKPA2oZHDjY4OzW4YFtwmGf/dkH6
 TOs6grOfCvhf79ZvKDYAi/mxzIGxGBdE2EDdrBoy6bnrsNDct6aT7nb5ioH5VF0Y
 Dn64ct/FomchHMDa6GTU8mrr4e9TYnWt0ftExKCYbKlRku4L+ODGHSeDe4yOardi
 SVWLmZZ5yLXh8x8wXp9ltT6FC0As8789RkdZgbEdn11vyGhp7yS86UnqLtGaKu6t
 WYFzsTtFN7D6dPUZ9s0NtXL02kDPHZg=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id pgo4EjM6D4XI for <bug-guix@HIDDEN>;
 Thu, 16 Jun 2022 04:58:05 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by mx.kolabnow.com (Postfix) with ESMTPS id 3619AE4A
 for <bug-guix@HIDDEN>; Thu, 16 Jun 2022 04:58:04 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id D2A9A509
 for <bug-guix@HIDDEN>; Thu, 16 Jun 2022 04:58:03 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: bug-guix@HIDDEN
Subject: exception while downloading substitutes
Date: Wed, 15 Jun 2022 23:40:53 -0300
Message-ID: <87o7yt71sc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=212.103.80.154;
 envelope-from=bauermann@HIDDEN; helo=mx.kolabnow.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Hello,

I just ran =E2=80=9Cguix pull && guix package -u=E2=80=9D and after downloa=
ding many
substitutes, guix package aborted with the following error:

--8<---------------cut here---------------start------------->8---
    =E2=8B=AE
substitute: atualizando substitutos de "https://ci.guix.gnu.org"...   0.0%B=
acktrace:
substitute:           14 (primitive-load "/gnu/store/yxh9kr0150494jf8phrf1x=
28mhw=E2=80=A6")
substitute: In guix/ui.scm:
substitute:    2230:7 13 (run-guix . _)
substitute:   2193:10 12 (run-guix-command _ . _)
substitute: In ice-9/boot-9.scm:
substitute:   1752:10 11 (with-exception-handler _ _ #:unwind? _ # _)
substitute:   1752:10 10 (with-exception-handler _ _ #:unwind? _ # _)
substitute: In guix/scripts/substitute.scm:
substitute:    757:18  9 (_)
substitute:    348:26  8 (process-query #<output: file 4> _ #:cache-urls _ =
#:acl _)
substitute: In guix/substitutes.scm:
substitute:    365:27  7 (lookup-narinfos/diverse _ _ #<procedure 7f22cf453=
4a0 =E2=80=A6> =E2=80=A6)
substitute:    322:31  6 (lookup-narinfos "https://ci.guix.gnu.org" _ # _ #=
 _)
substitute:    245:26  5 (fetch-narinfos _ _ #:open-connection _ # _)
substitute: In ice-9/boot-9.scm:
substitute:   1685:16  4 (raise-exception _ #:continuable? _)
substitute:   1685:16  3 (raise-exception _ #:continuable? _)
substitute:   1780:13  2 (_ #<&compound-exception components: (#<&error> #<=
&orig=E2=80=A6>)
substitute:   1685:16  1 (raise-exception _ #:continuable? _)
substitute:   1685:16  0 (raise-exception _ #:continuable? _)
substitute:
substitute: ice-9/boot-9.scm:1685:16: In procedure raise-exception:
substitute: In procedure write_wait_fd: unimplemented
guix package: erro: `/gnu/store/yxh9kr0150494jf8phrf1x28mhwnnv7f-guix-comma=
nd substitute' died unexpectedly
popigai: (1) guix describe
Gera=C3=A7=C3=A3o 144     15 jun 2022 22:55:58    (atual)
  guix 128697d
    URL do reposit=C3=B3rio: https://git.savannah.gnu.org/git/guix.git
    ramo: master
    commit: 128697d43c21eb229ff5413f1c4cf79ae1a9dcd4
--8<---------------cut here---------------end--------------->8---

I immediately ran =E2=80=9Cguix package -u=E2=80=9D again, and this time th=
e command
completed successfully.

I had a quick look at =E2=80=98fetch-narinfos=E2=80=99 but I couldn't figur=
e out what
could be calling into this unimplemented function =E2=80=98write_wait_fd=E2=
=80=99=E2=80=A6

--=20
Thanks
Thiago




Acknowledgement sent to Thiago Jung Bauermann <bauermann@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#56005; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Nov 2022 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.